# Update registered job

Updates the display name of an accessible registered job.

URL: /reference/jobs/updateJob

## PATCH /v2/jobs/{job_id}

```json
{
  "openapi": "3.2.0",
  "info": {
    "title": "Update registered job",
    "description": "Lingopal v2 public API for text translation, storage uploads, registered jobs, job workflows, and job outputs.",
    "version": "v2"
  },
  "servers": [
    {
      "url": "https://api.lingopal.ai"
    }
  ],
  "security": [
    {
      "APIKeyHeader": []
    }
  ],
  "paths": {
    "/v2/jobs/{job_id}": {
      "patch": {
        "tags": [
          "Jobs"
        ],
        "summary": "Update registered job",
        "description": "Updates the display name of an accessible registered job.",
        "operationId": "updateJob",
        "security": [
          {
            "APIKeyHeader": []
          }
        ],
        "parameters": [
          {
            "name": "job_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "description": "Reusable registered job ID.",
              "title": "Job Id"
            },
            "description": "Reusable registered job ID."
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateJobRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Updated registered job metadata.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/JobResponse"
                },
                "example": {
                  "job_id": "job_123",
                  "name": "Product Demo",
                  "job_type": "video",
                  "source_url": "https://cdn.example.com/uploads/product-demo.mp4",
                  "created_at": "2026-07-07T16:00:00Z",
                  "updated_at": "2026-07-07T16:05:00Z",
                  "links": {
                    "self": "/v2/jobs/job_123",
                    "status": "/v2/jobs/job_123/status",
                    "translations": "/v2/jobs/job_123/translations",
                    "subtitles": "/v2/jobs/job_123/subtitles"
                  }
                }
              }
            }
          },
          "401": {
            "description": "Invalid authentication token."
          },
          "403": {
            "description": "Authentication credentials were not provided, or the authenticated account is restricted (detail.code: ACCOUNT_RESTRICTED)."
          },
          "404": {
            "description": "The requested resource was not found.",
            "content": {
              "application/json": {
                "example": {
                  "detail": "Job Not Found"
                }
              }
            }
          },
          "422": {
            "description": "Request validation error."
          }
        }
      }
    }
  },
  "tags": [
    {
      "name": "Jobs",
      "description": "Inspect registered job metadata and processing status."
    }
  ],
  "components": {
    "schemas": {
      "UpdateJobRequest": {
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 255,
            "minLength": 1,
            "title": "Name"
          }
        },
        "additionalProperties": false,
        "type": "object",
        "required": [
          "name"
        ],
        "title": "UpdateJobRequest"
      },
      "JobResponse": {
        "properties": {
          "job_id": {
            "type": "string",
            "title": "Job Id",
            "description": "Reusable registered job ID."
          },
          "name": {
            "type": "string",
            "title": "Name",
            "description": "Job display name."
          },
          "job_type": {
            "type": "string",
            "enum": [
              "video",
              "audio",
              "document"
            ],
            "title": "Job Type",
            "description": "Registered job type."
          },
          "source_url": {
            "anyOf": [
              {
                "type": "string"
              },
              {
                "type": "null"
              }
            ],
            "title": "Source Url",
            "description": "Original or registered source URL."
          },
          "created_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Created At",
            "description": "Job creation timestamp."
          },
          "updated_at": {
            "anyOf": [
              {
                "type": "string",
                "format": "date-time"
              },
              {
                "type": "null"
              }
            ],
            "title": "Updated At",
            "description": "Job update timestamp."
          },
          "links": {
            "additionalProperties": {
              "type": "string"
            },
            "type": "object",
            "title": "Links",
            "description": "Related v2 job links."
          }
        },
        "type": "object",
        "required": [
          "job_id",
          "name",
          "job_type"
        ],
        "title": "JobResponse",
        "examples": [
          {
            "created_at": "2026-07-07T16:00:00Z",
            "job_id": "job_123",
            "job_type": "video",
            "links": {
              "self": "/v2/jobs/job_123",
              "status": "/v2/jobs/job_123/status",
              "subtitles": "/v2/jobs/job_123/subtitles",
              "translations": "/v2/jobs/job_123/translations"
            },
            "name": "Product Demo",
            "source_url": "https://cdn.example.com/uploads/product-demo.mp4",
            "updated_at": "2026-07-07T16:05:00Z"
          }
        ]
      }
    },
    "securitySchemes": {
      "APIKeyHeader": {
        "in": "header",
        "name": "X-API-Key",
        "type": "apiKey"
      }
    }
  }
}
```
